package com.framsticks.model;

import com.framsticks.params.Registry;

/**
 * Author: Piotr Śniegowski
 */
public class Package {
	public static void register(Registry registry) {
		registry.registerReflectedClass("MechPart", null, "com.framsticks.model.MechPart");
		registry.registerReflectedClass("Joint", "j", "com.framsticks.model.Joint");
		registry.registerReflectedClass("MechJoint", null, "com.framsticks.model.MechJoint");
		registry.registerReflectedClass("Neuro", null, "com.framsticks.model.Neuro");
		registry.registerReflectedClass("NeuroDef", "n", "com.framsticks.model.NeuroDef");
		registry.registerReflectedClass("Part", "p", "com.framsticks.model.Part");
		registry.registerReflectedClass("Model", "m", "com.framsticks.model.Model");
		registry.registerReflectedClass("Creature", null, "com.framsticks.model.Creature");
		registry.registerReflectedClass("Genotype", null, "com.framsticks.model.Genotype");

	}
}
