package com.framsticks.params.types;

import com.framsticks.params.CastFailure;
import com.framsticks.params.PrimitiveParam;
import com.framsticks.params.ReassignResult;

/**
 * @author Piotr Sniegowski
 */
public class ColorParam extends PrimitiveParam {

	@Override
	public Class<?> getStorageType() {
		return Object.class;
	}

	@Override
	public String getFramsTypeName() {
		return "dc";
	}

	public ReassignResult<Object> reassign(Object newValue, Object oldValue) throws CastFailure {
		return ReassignResult.create(newValue);
	}


}
